﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="PetAger._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <title>Pet Age Calculator in ASP.NET</title>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    
    <fieldset><legend>Enter your Pet's details</legend>
        
        <div class="formLabel">What is your Pet's name?</div>
        <div>
            <asp:TextBox ID="name" runat="server"></asp:TextBox>
        </div>
            <br />

        <div class="formLabel">Type of Pet</div>
        <div>
            <asp:DropDownList ID="type" runat="server">
                <asp:ListItem value="cat">Cat</asp:ListItem>
                <asp:ListItem Value="small">Small Dog</asp:ListItem>
                <asp:ListItem Value="med">Medium Dog</asp:ListItem>
                <asp:ListItem Value="large">Large Dog</asp:ListItem>
            </asp:DropDownList>
        </div>
            <br />

        <div class="formLabel">Calendar age:</div>
        <div>
            <asp:TextBox ID="calAge" runat="server"></asp:TextBox>
            <asp:RangeValidator ID="RangeValidator1" runat="server" controltovalidate="calAge" type="Integer"
                    minimumvalue="1" maximumvalue="30" errormessage="Age must be a number" ForeColor="#DD0000" />
        </div>
            <br />

        <div>
            <asp:Button runat="server" ID="calculateBtn" text="Calculate" 
                onclick="calculateBtn_Click" />
        </div>

    </fieldset>
    <br />

    <fieldset><legend>Results:</legend>
        <p><asp:Label ID="resultsClassic" runat="server"></asp:Label></p>
        <p><asp:Label ID="resultsModern" runat="server"></asp:Label></p>
    </fieldset>

</asp:Content>
