﻿<%@page language="java" %>
<%@page contentType="text/html; charset=UTF-8" %>
<%@page session="false" errorPage="error.jsp" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<html>
<head>
	<title>Pet Age Calculator</title>
	<link rel="stylesheet" type="text/css" href="petage.css" />
</head>

<body> 

<!-- the form for gathering input -->
<form action="petager.jsp" method="post">
<fieldset><legend>Enter Your Pet's Information</legend>
	<label> Your Pet's Name: </label><input type="text" name="name" />
	<label> Your Pet's Calendar age: </label>
		<select name="age">
		<c:forEach var="i" begin="1" end="25" step="1">
			<option value="${i}">${i}</option>
		</c:forEach>
		</select>
	<br/>
	<label> Your Pet's Size: </label>
		<input type="radio" name="size" value="1" checked="checked">
			Small Dog or Cat</input>
		<input type="radio" name="size" value="2">Large Dog</input>
	<br />
	<br />
	<input type="hidden" name="process" value="true" />
	<input type="submit" value="Calculate Age" />
	<input type="reset" value="Clear Form" />
</fieldset>
</form>
<br />


<%-- the output --%>
<c:if test = "${param.process == 'true'}">
	<fieldset><legend>Your Pet's Equivalent Age</legend>
	<ul>
		<li>Under the Classical system, ${param.name} is ${param.age*7}
		years old.</li>
		<li>Under the Modern system, ${param.name} is
		<!-- the following JSTL code calculates the equivalent age 	-->
		<!-- using the modern veterinary system				-->

			<c:choose>
			<c:when test="${param.size == '1'}">
				<c:choose>
				<c:when test="${param.age == '1'}">15</c:when>
				<c:when test="${param.age == '2'}">21</c:when>
				<c:otherwise>${21 + 3*(param.age-2)}</c:otherwise>
				</c:choose>
			</c:when>
				
			<c:when test="${param.size == '2'}">
				<c:choose>
				<c:when test="${param.age == '1'}">12</c:when>
				<c:when test="${param.age == '2'}">17</c:when>
				<c:otherwise>${17 + 2*(param.age-2)}</c:otherwise>
				</c:choose>
			</c:when>

			<c:otherwise>
				unknown
			</c:otherwise>
			</c:choose>

		years old.</li>
	</ul>
	</fieldset>
</c:if>



</body>
</html>