package info.cobaltduck.managedbeans;

import info.cobaltduck.model.*;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.event.ValueChangeEvent;

@ManagedBean
@ViewScoped
public class PetAgerBacker {
	
	private Pet curPet = new Pet();
	private boolean showResult = false;
	
	public Pet getCurPet() {
		return curPet;
	}
	
	public void setCurPet(Pet curPet) {
		this.curPet = curPet;
	}
	
	public boolean getShowResult() {
		return showResult;
	}
	
	public void setShowResult(boolean showResult) {
		this.showResult = showResult;
	}
	
	public void typeChange (ValueChangeEvent evt) {
		String typeSelection = (String)evt.getNewValue();
		curPet = null;
		showResult = false;
		if (typeSelection.equals("C") || typeSelection.equals("S")) {
			curPet = new SmallDogOrCat();
		}
		else if (typeSelection.equals("M")) {
			curPet = new MediumDog();
		}
		else if (typeSelection.equals("L")) {
			curPet = new LargeDog();
	}
		
	}
	
	public String doAger() {
		showResult = true;
		return null;
	}

}
